# XPath2MemoryManager Class Reference

`#include <XPath2MemoryManager.hpp>`

Inheritance diagram for XPath2MemoryManager:

[legend]
List of all members.

## Public Member Functions

virtual | ~XPath2MemoryManager ()
virtual void | reset ()=0
| Use with extreme caution!
virtual const XMLCh * | getPooledString (const XMLCh *src)=0
| Returns a copy of the given string.
virtual const XMLCh * | getPooledString (const char *src)=0
virtual void * | allocate (size_t numElements)=0
| This method allocates requested memory.
virtual void | deallocate (void *p)=0
| This method deallocates memory.
virtual Collation * | createCollation (CollationHelper *helper)=0
| create a collation
virtual XQillaNSResolver * | createNSResolver (xercesc::DOMNode *resolverNode)=0
| create a resolver
virtual VariableStore * | createVariableStore ()=0
| create a store for variables
virtual VariableTypeStore * | createVariableTypeStore ()=0
| create a store for variables
virtual FunctionLookup * | createFunctionTable ()=0
| create a function table
virtual ATDecimalOrDerived * | createInteger (int value)=0
| create a ATDecimalOrDerived for the given integer
virtual void | dumpStatistics () const =0
virtual unsigned long | getAllocatedObjectCount () const =0
virtual unsigned long | getTotalAllocatedMemory () const =0
virtual const StringPool * | getStringPool () const =0

## Constructor & Destructor Documentation

virtual XPath2MemoryManager::~XPath2MemoryManager | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void* XPath2MemoryManager::allocate | ( | size_t | numElements | ) | `[pure virtual]`

This method allocates requested memory.

Parameters:

  | size | The requested memory size

Returns:
  A pointer to the allocated memory

Implements xercesc::MemoryManager.

virtual Collation* XPath2MemoryManager::createCollation | ( | CollationHelper * | helper | ) | `[pure virtual]`

| create a collation

virtual FunctionLookup* XPath2MemoryManager::createFunctionTable | ( |  | ) | `[pure virtual]`

| create a function table

virtual ATDecimalOrDerived* XPath2MemoryManager::createInteger | ( | int | value | ) | `[pure virtual]`

| create a ATDecimalOrDerived for the given integer

virtual XQillaNSResolver* XPath2MemoryManager::createNSResolver | ( | xercesc::DOMNode * | resolverNode | ) | `[pure virtual]`

| create a resolver

virtual VariableStore* XPath2MemoryManager::createVariableStore | ( |  | ) | `[pure virtual]`

| create a store for variables

virtual VariableTypeStore* XPath2MemoryManager::createVariableTypeStore | ( |  | ) | `[pure virtual]`

| create a store for variables

virtual void XPath2MemoryManager::deallocate | ( | void * | p | ) | `[pure virtual]`

This method deallocates memory.

Parameters:

  | p | The pointer to the allocated memory to be deleted

Implements xercesc::MemoryManager.

virtual void XPath2MemoryManager::dumpStatistics | ( |  | ) | const`[pure virtual]`

virtual unsigned long XPath2MemoryManager::getAllocatedObjectCount | ( |  | ) | const`[pure virtual]`

virtual const XMLCh* XPath2MemoryManager::getPooledString | ( | const char * | src | ) | `[pure virtual]`

virtual const XMLCh* XPath2MemoryManager::getPooledString | ( | const XMLCh * | src | ) | `[pure virtual]`

| Returns a copy of the given string.

virtual const StringPool* XPath2MemoryManager::getStringPool | ( |  | ) | const`[pure virtual]`

virtual unsigned long XPath2MemoryManager::getTotalAllocatedMemory | ( |  | ) | const`[pure virtual]`

virtual void XPath2MemoryManager::reset | ( |  | ) | `[pure virtual]`

| Use with extreme caution!

The documentation for this class was generated from the following file:

- XPath2MemoryManager.hpp